Update material information
curl --request PATCH \
--url https://api.sortx.co.uk/properties/{id}/material-information \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expectedRevision": 123,
"answers": {},
"requestId": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedRevision: 123, answers: {}, requestId: '<string>'})
};
fetch('https://api.sortx.co.uk/properties/{id}/material-information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/properties/{id}/material-information"
payload = {
"expectedRevision": 123,
"answers": {},
"requestId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"propertyId": "<string>",
"revision": 123,
"answers": {},
"completeness": {
"total": 123,
"known": 123,
"notKnown": 123,
"outstanding": 123
},
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}properties
Update material information
Record, change or clear material information answers at the revision read
PATCH
/
properties
/
{id}
/
material-information
Update material information
curl --request PATCH \
--url https://api.sortx.co.uk/properties/{id}/material-information \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"expectedRevision": 123,
"answers": {},
"requestId": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedRevision: 123, answers: {}, requestId: '<string>'})
};
fetch('https://api.sortx.co.uk/properties/{id}/material-information', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/properties/{id}/material-information"
payload = {
"expectedRevision": 123,
"answers": {},
"requestId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"propertyId": "<string>",
"revision": 123,
"answers": {},
"completeness": {
"total": 123,
"known": 123,
"notKnown": 123,
"outstanding": 123
},
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json